Bug 8941 - Make title display properly for NORMARC OPAC detail view
Summary: Make title display properly for NORMARC OPAC detail view
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Magnus Enger
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-18 09:52 UTC by Magnus Enger
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing title, author and materialtype displayed wrong (17.61 KB, image/png)
2012-10-18 09:52 UTC, Magnus Enger
Details
Screenshot showing what it should look like (15.41 KB, image/png)
2012-10-18 09:56 UTC, Magnus Enger
Details
Bug 8941 - Make title display properly for NORMARC OPAC detail view (1.29 KB, patch)
2012-10-18 10:00 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 8941 - Make title display properly for NORMARC OPAC detail view (1.39 KB, patch)
2012-10-18 10:23 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-10-18 09:52:35 UTC
Created attachment 12900 [details]
Screenshot showing title, author and materialtype displayed wrong
Comment 1 Magnus Enger 2012-10-18 09:56:18 UTC
Created attachment 12901 [details]
Screenshot showing what it should look like
Comment 2 Magnus Enger 2012-10-18 10:00:07 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2012-10-18 10:01:24 UTC
If this gets pushed, it would be nice to have in 3.8.x too. :-)
Comment 4 Mirko Tietgen 2012-10-18 10:23:35 UTC
Created attachment 12904 [details] [review]
Bug 8941 - Make title display properly for NORMARC OPAC detail view

Authors and materialtype were displayed to the right of the title.
This patch simly adds class="title" to the h1 that holds the title.

To test:
- Set marcflavour = NORMARC
- Check a detail view in the OPAC and see that the display is wrong
- Apply the patch
- Check that the detail view now looks good

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 5 Mirko Tietgen 2012-10-18 10:24:12 UTC
Tiny patch, works as expected.
Comment 6 Paul Poulain 2012-10-28 18:39:29 UTC
QA comment: tiny patch, passed QA
Comment 7 Paul Poulain 2012-10-28 18:40:20 UTC
Patch pushed to master
Comment 8 Chris Cormack 2012-10-28 20:32:42 UTC
Pushed to 3.8.x, will be in 3.8.7
Comment 9 Magnus Enger 2012-11-28 19:12:28 UTC
Looks good on 3.10